

/*
   orxonox - the future of 3D-vertical-scrollers

   Copyright (C) 2004 orx

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2, or (at your option)
   any later version.

   ### File Specific:
   main-programmer: Patrick Boenzli
   co-programmer:
*/
#define DEBUG_SPECIAL_MODULE DEBUG_MODULE_AI

#include "ai_engine.h"
#include "debug.h"

AIEngine* AIEngine::singletonRef = NULL;


AIEngine::AIEngine()
{}

AIEngine::~AIEngine()
{}



/*AITeam* AIEngine::newTeam()
{
	AITeam* newTeam=new AITeam;
	teams.push_back(newTeam);
	return newTeam;
}*/
int AIEngine::newTeam()
{
	AITeam* newTeam=new AITeam;
	teams.push_back(newTeam);
	return teams.size()-1;
}



AITeam* AIEngine::getTeam(int aiTeamNumber)
{
 	//if(teams.size()>aiTeamNumber)
	return teams.at(aiTeamNumber);
	//return NULL;
}



void AIEngine::process()
{
	int teamCount=teams.size();
	for(int i=0; i < teamCount; i++ )
	{
   	//std::cout << "Processing Team " << i <<  "...\n";
   	teams.at(i)->process();
	}
}
