
#ifndef _AI_ENGINE_H
#define _AI_ENGINE_H


#include "ai_team.h"


class AIEngine{
 public:
   ~AIEngine();

   static AIEngine* getInstance() { if( singletonRef == NULL) singletonRef = new AIEngine(); return singletonRef; }

   void process();
   AITeam* getTeam(int);
	int newTeam();
 private:
	AIEngine();

 private:
   std::vector<AITeam*> teams;

   static AIEngine* singletonRef;

};

#endif /* _AI_ENGINE_H */
