/*
   orxonox - the future of 3D-vertical-scrollers

   Copyright (C) 2004 orx

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2, or (at your option)
   any later version.

   ### File Specific:
   main-programmer: Thomas Fahrni
   co-programmer:
*/

#define DEBUG_SPECIAL_MODULE DEBUG_MODULE_AI
#include "ai_team_member.h"
#include "ai_engine.h"

AITeamMember::AITeamMember()
{}

AITeamMember::~AITeamMember()
{}



void AITeamMember::process()
{
	int moduleCount=modules.size();
	for(int i=0; i < moduleCount; i++ )
	{
   	std::cout << "Processing AIModule " << i <<  "...\n";
   	modules.at(i)->process();
	}
}




void AITeamMember::addToTeam(int aiTeamNumber)
{
	//funktionniert nur so pseudomässig...
	AIEngine* aiEngine=AIEngine::getInstance();
	int teamNumber=aiEngine->newTeam();
	aiEngine->getTeam(teamNumber)->addMember(this);
}




void AITeamMember::addModule(AIModule* newModule){
		modules.push_back(newModule);
}
