
#ifndef _AI_TEAM_MEMBER_H
#define _AI_TEAM_MEMBER_H

#include "world_entity.h"
#include "ai_module.h"


class AITeamMember : public WorldEntity{
 public:
   AITeamMember();
   ~AITeamMember();

   void process();
   void addToTeam(int);
   void addModule(AIModule*);
 private:
   std::vector<AIModule*>          modules;
};

#endif /* _AI_TEAM_MEMBER_H */
